
/*--------------------------------------------------------------
6.0 Forms
--------------------------------------------------------------*/

label {
	color: #333;
	display: block;
	font-weight: 800;
	margin-bottom: 0.5em;
}

fieldset {
	margin-bottom: 1em;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
	color: #666;
	border: 1px solid transparent;
	-webkit-border-radius: 2px;
	border-radius: 2px;
	display: block;
	padding: 0.2em 0.7em;
	width: 100%;
	height: 2.2em;
}

textarea {
	height: auto;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
	color: #222;
	border-color: #333;
}

select {
	border: 1px solid #bbb;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	height: 3em;
	max-width: 100%;
}

input[type="radio"],
input[type="checkbox"] {
	margin-right: 0.5em;
}

input[type="radio"] + label,
input[type="checkbox"] + label {
	font-weight: 400;
}

button,
input[type="button"],
input[type="submit"] {
	background-color: #222;
	border: 0;
	-webkit-border-radius: 2px;
	border-radius: 2px;
	-webkit-box-shadow: none;
	box-shadow: none;
	color: #fff;
	cursor: pointer;
	display: inline-block;
	font-size: 14px;
	font-size: 0.875rem;
	font-weight: 600;
	line-height: 1;
	padding: 0.75em 3em;
	text-shadow: none;
	text-transform: uppercase;
	-webkit-transition: background 0.2s;
	transition: background 0.2s;
}

input + button,
input + input[type="button"],
input + input[type="submit"] {
	padding: 0.75em 2em;
}

button.secondary,
input[type="reset"],
input[type="button"].secondary,
input[type="reset"].secondary,
input[type="submit"].secondary {
	background-color: #ddd;
	color: #222;
}

button:hover,
button:focus,
input[type="button"]:hover,
input[type="button"]:focus,
input[type="submit"]:hover,
input[type="submit"]:focus {
	background: #767676;
}

button.secondary:hover,
button.secondary:focus,
input[type="reset"]:hover,
input[type="reset"]:focus,
input[type="button"].secondary:hover,
input[type="button"].secondary:focus,
input[type="reset"].secondary:hover,
input[type="reset"].secondary:focus,
input[type="submit"].secondary:hover,
input[type="submit"].secondary:focus {
	background: #bbb;
}

.wpcf7-form p { margin-bottom: 0.75em; }
.wpcf7-form label { margin-bottom: 0; }
.your-message textarea { height: 150px; }

.wpcf7-form > p:after {
	content: '';
	display: table;
	clear: both;
}
.wpcf7-form div.wpcf7-response-output {
	margin-top: 24px;
	margin-top: 1.5rem;
}
.wpcf7-form div.wpcf7-response-output.wpcf7-validation-errors {
	background-color: rgba(0,0,0,0.34);
}
.wpcf7-form div.wpcf7-validation-errors,
.wpcf7-form input.wpcf7-not-valid {
	border-color: #c00;
}
.wpcf7-form .wpcf7-form-control-wrap { display: block; }
.wpcf7-form span.wpcf7-not-valid-tip {
    color: #fff;
    position: absolute;
    top: -7px;
    border: 1px solid #a00;
    white-space: nowrap;
    padding: 1px 7px;
    background-color: rgba(200,0,0,0.90);
    font-size: 0.75em;
    right: -10px;
    border-radius: 3px;
}

button[type="submit"] {float: right;}

/* Placeholder text color -- selectors need to be separate to work. */
::-webkit-input-placeholder {
	/*color: #333;*/
	font-family: "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;
}

:-moz-placeholder {
	/*color: #333;*/
	font-family: "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;
}

::-moz-placeholder {
	/*color: #333;*/
	font-family: "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;
	opacity: 1;
	/* Since FF19 lowers the opacity of the placeholder by default */
}

:-ms-input-placeholder {
	/*color: #333;*/
	font-family: "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;
}
